package com.hotent.surveyinfo.manager;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hotent.base.query.PageList;
import com.hotent.surveyinfo.model.CostSurveyTemplate;
import com.hotent.base.manager.BaseManager;
import com.hotent.surveyinfo.model.CostSurveyTemplateHeaders;
import com.hotent.surveyinfo.model.CostSurveyTemplateItems;
import com.hotent.surveyinfo.req.ConstSurveyPageParam;
import com.hotent.surveyinfo.req.ConstSurveyPageReq;

import java.util.List;

/**
 * 成本调查表模板表 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-19
 */
public interface CostSurveyTemplateManager extends BaseManager<CostSurveyTemplate> {


	IPage<CostSurveyTemplate> getallCurrentCostSurveyList(ConstSurveyPageReq req);

	/**
	 * 根据主键获取详情
	 * @param id
	 * @return
	 */
	CostSurveyTemplate getDetail(String id);
	/**
	 * 新建、更新成本调查表模板表
	 * @param costSurveyTemplate
	 * @return
	 */
	void createOrUpdate(CostSurveyTemplate costSurveyTemplate);

	void batchRemove(List<String> ids);

	 List<CostSurveyTemplateHeaders> getHeadersByTemplateId(String templateId) ;

	 List<CostSurveyTemplateItems> getItemsByTemplateId(String templateId) ;


	List<CostSurveyTemplate> listByCatalogId(String catalogId);

	PageList<CostSurveyTemplate> getCostSurveyListPage( ConstSurveyPageParam params) throws Exception;

	List<CostSurveyTemplate> taskListByCatalogId(String catalogId);
}
